#pragma once
#include "global.h"
#include "MyStructDef.h"
class CMyPicButton : public CDialog
{
	DECLARE_DYNAMIC(CMyPicButton)
	DECLARE_MESSAGE_MAP()
public:
	CMyPicButton(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CMyPicButton();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMYPICBUTTON };
#endif
	void SetPic(UINT pic1, UINT pic2);
	void Draw();
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
private:
	MyDX11Renderer pRenderer;
	MyTextureAndSRV tas1, tas2;
	bool buttonState = false;
};

